#ifndef __RPLOT_H__
#define __RPLOT_H__

#include "rplotformbase.h"
#include "Rinterface.h"

#include <Qt>
#include <qfile.h>
#include <Qt3Support/q3process.h>
#include <Qt3Support/q3textstream.h>

class RPlot : public RPlotFormBase {
  Q_OBJECT

public:
  RPlot( Rinterface *pipe, QWidget* parent = 0, const char* name = 0, 
         bool modal = false, Qt::WindowFlags fl = 0 );
  ~RPlot();
  void plotVertex( int vertexNumber );

public slots:
  void setSourceFile();
  void setDataFile();
  void setOutputFile();
  void configureForPlotting();
  void setSourcing( const QString &ignoreme );
  void setDataLoading( const QString &ignoreme );

private:
  bool connectionEstablished;
  bool dataLoaded;
  bool sourceRFile;
  bool isConfigured;

  QFile *logFile;
  Q3TextStream *logStream;
  Rinterface *pipe;

  void sendCommand( QString command, bool log=true );
  bool establishConnection();


};


#endif // __RPLOT_H__
