#ifndef __POINTINFOWINDOW__H__
#define __POINTINFOWINDOW__H__

#include <Qt3Support/q3vbox.h>
#include <Qt3Support/q3hbox.h>
#include <qlineedit.h>
#include <qlabel.h>

class coordinateInfoSet : public Q3HBox {
  Q_OBJECT
public:
  coordinateInfoSet( QWidget *parent=0, const char *name=0 );
public slots:
  void setCoordinates( float xCoord, float yCoord, float zCoord, int index );
signals:
  void xCoordChanged( const QString &xString );
  void yCoordChanged( const QString &yString );
  void zCoordChanged( const QString &zString );
  void indexChanged( const QString &indexString);
  void newIndex( int index );

 private slots:
 void indexReturnPressed();
                     
private:
  QLineEdit *xCoord;
  QLineEdit *yCoord;
  QLineEdit *zCoord;
  QLineEdit *indexValue;
  QLabel *xLabel;
  QLabel *yLabel;
  QLabel *zLabel;
  QLabel *indexLabel;
};

class textureInfoSet : public Q3HBox {
  Q_OBJECT
public:
  textureInfoSet( QWidget *parent=0, const char *name=0 );
public slots:
  void setTextureData( float absoluteTexture, float adjustedTexture );
signals:
  void absoluteTextureChanged( const QString &absoluteString );
  void adjustedTextureChanged( const QString &adjustedString );
private:
  QLineEdit *absoluteTexture;
  QLineEdit *adjustedTexture;
  QLabel *absoluteLabel;
  QLabel *adjustedLabel;
};

class pointInfoWindow : public Q3VBox {
  Q_OBJECT
public:
  pointInfoWindow( QWidget *parent=0, const char *name=0 );
  coordinateInfoSet *coordinates;
  textureInfoSet *textureInfo;
signals:
  void coordinatesChanged( float xCoord, float yCoord, float zCoord);
  void textureChanged( float absoluteTexture, float adjustedTexture );
};

#endif


  
